.mx_UserInfo.mx_BaseCard .mx_UserInfo_container:not(.mx_UserInfo_separator) > .bwi_userFunction {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.bwi_userFunction {
    display: flex;
    flex-direction: row;
    align-items: center;

    &_canChange {
        margin-top: 16px;
    }

    &_edit {
        border-radius: 12px;
        min-height: 24px;
        padding: 2px 8px;

        display: flex;
        align-items: center;

        min-width: 30px;
        justify-content: center;
        max-width: calc(100% - 24px);
        word-break: break-all;
        transition: background-color 0.1s ease-in-out;
    }

    &_editor {
        width: 100%;

        > .mx_Field {
            margin: 0;
        }
    }

    &_buttonContainer {
        margin: 8px 0;

        .mx_AccessibleButton {
            padding: 5px 12px !important;
            margin-right: 8px;
        }
    }

    &_delete {
        margin-left: $spacing-4;
    }
}

.bwi_UserFunctionLabelRoomSettingsTab {
    &_add {
        display: flex;
        align-items: center;
        margin-top: 1em;

        .mx_Field_input {
            margin-right: 8px;
        }
    }

    &_edit {
        display: flex;
        align-items: center;
        column-gap: 8px;

        .mx_Field_input {
            margin: 8px 0;
        }

        &_buttonContainer {
            margin-bottom: 8px;

            .mx_AccessibleButton {
                margin-right: 8px;
            }
        }
    }
}

.mx_EntityTile_functionLabel {
    font-size: $font-11px;
    color: $tertiary-content;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.mx_EntityTile:hover .mx_EntityTile_functionLabel {
    display: none;
}

.mx_RoomSettingsDialog_memberPlus::before {
    mask-image: url("$(res)/img/element-icons/roomlist/member-plus.svg");
}

.bwi_userFunction_deleteButton {
    align-self: center !important;
}

.bwi_userFunction_deleteButton_icon {
    width: 16px;
    height: 16px;
}
